xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) Bogdan Sinitsyn (2016)
License | BSD3-style (see LICENSE)
Maintainer | bogdan.sinitsyn@gmail.com
Stability | unstable
Portability | not portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Util.Minimize

Description

Stores some common utilities for modules used for window minimizing/maximizing

# Documentation

type RectMap = Map Window (Maybe RationalRect) #

data Minimized #

Constructors

Minimized |

Fields

- rectMap :: RectMap
- minimizedStack :: [Window]

#### Instances

Instances details

Read Minimized # |
Instance details Defined in XMonad.Util.Minimize Methods readsPrec :: Int -> ReadS Minimized # readList :: ReadS [Minimized] # readPrec :: ReadPrec Minimized readListPrec :: ReadPrec [Minimized]
Show Minimized # |
Instance details Defined in XMonad.Util.Minimize Methods showsPrec :: Int -> Minimized -> ShowS # show :: Minimized -> String # showList :: [Minimized] -> ShowS #
Eq Minimized # |
Instance details Defined in XMonad.Util.Minimize Methods (==) :: Minimized -> Minimized -> Bool # (/=) :: Minimized -> Minimized -> Bool #
ExtensionClass Minimized # |
Instance details Defined in XMonad.Util.Minimize Methods initialValue :: Minimized # extensionType :: Minimized -> StateExtension #